public class InvalidRadiusException extends Exception {
  private double radius;

  /** Tworzenie wyjątku */
  public InvalidRadiusException(double radius) {
    super("Nieprawidłowy promień " + radius);
    this.radius = radius;
  }

  /** Zwraca promień */
  public double getRadius() {
    return radius;
  }
}
